<?php 

	require "config.php";
	
	require "functions.php";
	
	if(!isset($_COOKIE['artistid'])){
		header("Location: artistlogin.php");
	}
	
	// Feltöltés
	if(isset($_POST['upload-btn'])){
		
		// Tároló mappák
		$img_target_dir = "img/";
		$file_target_dir = "files/";
		
		// FELTÖLTENDŐ FÁJLOK ELÉRÉSI ÚTJA
		$target_img = $img_target_dir.$_FILES['upload-img']['name'];
		$target_file = $file_target_dir.$_FILES['upload-file']['name'];
		
		// Megvizsgáljuk, hogy léteznek-e már ilyen nevű fájlok
		if(file_exists($target_img)){
			Message("Már van ilyen nevű kép!");
		}
		else if(file_exists($target_file)){
			Message("Már van ilyen nevű fájl!");
		}
		else{
			$img_name = $_FILES['upload-img']['name'];
			$file_name = $_FILES['upload-file']['name'];
			$conn->query("INSERT INTO music VALUES(id, $_COOKIE[artistid], '$_POST[name]', '$img_name', '$file_name')");
			move_uploaded_file($_FILES['upload-img']['tmp_name'], $target_img);
			move_uploaded_file($_FILES['upload-file']['tmp_name'], $target_file);
			
			Message("Sikeres feltöltés!");
			
		}
		
	}

?>
<form method="post" enctype="multipart/form-data">
	<label>Zene címe</label><br>
	<input type="text" name="name" placeholder="Zene címe" required><br><br>
	<label>Kép fájl</label><br>
	<input type="file" name="upload-img" required><br><br>
	<label>Zene fájl</label><br>
	<input type="file" name="upload-file" required><br><br>
	<input type="submit" name="upload-btn" value="Feltöltés">
</form>